package com.ruoyi.sim.service;

import java.util.List;

import com.ruoyi.sim.domain.RealExamCollection;

/**
 * 考试集合Service接口
 *
 * @author tom
 * @date 2024-12-13
 */
public interface IRealExamCollectionService {
    /**
     * 查询考试集合
     *
     * @param examCollectionId 考试集合主键
     * @return 考试集合
     */
    public RealExamCollection selectRealExamCollectionByExamCollectionId(Long examCollectionId);

    /**
     * 查询考试集合列表
     *
     * @param realExamCollection 考试集合
     * @return 考试集合集合
     */
    public List<RealExamCollection> selectRealExamCollectionList(RealExamCollection realExamCollection);

    /**
     * 新增考试集合
     *
     * @param realExamCollection 考试集合
     * @return 结果
     */
    public int insertRealExamCollection(RealExamCollection realExamCollection);

    /**
     * 修改考试集合
     *
     * @param realExamCollection 考试集合
     * @return 结果
     */
    public int updateRealExamCollection(RealExamCollection realExamCollection);

    /**
     * 批量删除考试集合
     *
     * @param examCollectionIds 需要删除的考试集合主键集合
     * @return 结果
     */
    public int deleteRealExamCollectionByExamCollectionIds(Long[] examCollectionIds);

    /**
     * 删除考试集合信息
     *
     * @param examCollectionId 考试集合主键
     * @return 结果
     */
    public int deleteRealExamCollectionByExamCollectionId(Long examCollectionId);
}
